Bug 1312441 - no $HOME environment variable
no $HOME environment variable
Status: CLOSED NOTABUG
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Installer (Show other bugs)
1.3.1
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 2.0
Assigned To: Ken Dreyer (Red Hat)
ceph-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-26 12:18 EST by Alfredo Deza
Modified: 2017-12-12 19:29 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-15 11:44:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alfredo Deza 2016-02-26 12:18:23 EST
Description of problem:
Breaks situations where ansible depends on it. Mostly when it expands to write to temporary files that usually go into $HOME/.ansible/tmp which gets 'expanded' to /.ansible/tmp that doesn't exist and is owned by root

Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. Setup installer
2. Configure a mon via the HTTP API
3.

Actual results: breaks with ansible output in the task, mentioning lack of permissions for $HOME/.ansible


Expected results: succeeds with no issues


Additional info:
Comment 3 Ken Dreyer (Red Hat) 2016-02-26 13:04:22 EST
Is there no other way to tell Ansible to write its files to somewhere else? like /tmp or $TMPDIR?
Comment 4 Ken Dreyer (Red Hat) 2016-03-15 11:44:12 EDT
systemd adds $HOME to the environment by default, so we're good here.

Note You need to log in before you can comment on or make changes to this bug.